<div fxLayout="column" fxLayoutGap="10px" class="options-dialog-content">
  <div fxLayout="column" fxLayoutGap="5px" (click)="$event.stopPropagation()">
    <mat-form-field>
      <mat-label>{{ 'MENU.TOP.SEARCH.OPTIONSMENU.RAD' | translate }}</mat-label>
      <mat-select #radius value="{{ searchInputService.radius }}">
        <mat-option value="5">5 km</mat-option>
        <mat-option value="10">10 km</mat-option>
        <mat-option value="25">25 km</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field>
      <mat-label>{{ 'MENU.TOP.SEARCH.OPTIONSMENU.FUEL' | translate }}</mat-label>
      <mat-select #fuel>
        <mat-option value="all">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.FUELS.ALL' | translate }}</mat-option>
        <mat-option value="e5">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.FUELS.E5' | translate }}</mat-option>
        <mat-option value="e10">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.FUELS.E10' | translate }}</mat-option>
        <mat-option value="diesel">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.FUELS.DIESEL' | translate }}</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field>
      <mat-label>{{ 'MENU.TOP.SEARCH.OPTIONSMENU.STATIONS.TITLE' | translate }}</mat-label>
      <mat-select #stationfilter>
        <mat-option value="all">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.STATIONS.ALL' | translate }}</mat-option>
        <mat-optgroup label="{{ 'MENU.TOP.SEARCH.OPTIONSMENU.STATIONS.SINGLE' | translate }}">
          <mat-option value="only-aral">Aral</mat-option>
          <mat-option value="only-shell">Shell</mat-option>
          <mat-option value="only-raiffeisen">Raiffeisen</mat-option>
        </mat-optgroup>
        <mat-optgroup label="{{ 'MENU.TOP.SEARCH.OPTIONSMENU.STATIONS.MULTIPLE' | translate }}">
          <mat-option value="all-big">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.STATIONS.BIGGER' | translate }}</mat-option>
          <mat-option value="all-small">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.STATIONS.SMALLER' | translate }}</mat-option>
        </mat-optgroup>
      </mat-select>
    </mat-form-field>

    <mat-checkbox #lowestPrice [checked]="searchInputService.lowestPrice">{{ 'MENU.TOP.SEARCH.OPTIONSMENU.CHK_BEST_PRICE' | translate }}</mat-checkbox>
  </div>

  <mat-divider></mat-divider>

  <div mat-dialog-actions fxLayoutGap="5px" fxLayoutAlign="center center">
    <button type="button" mat-stroked-button color="primary" (click)="closeDropdown()"><mat-icon>search</mat-icon> {{ 'MENU.TOP.SEARCH.OPTIONSMENU.SAVE_AND_SEARCH' | translate }}</button>
  </div>
</div>
